Description

With LDAP set up to create on-the-fly users, users that have not yet logged into Redmine are recorded as Anonymous when

submitting an issue by e-mail.

It would be good to create a new user based on the e-mail instead, or at least record the e-mail address. Currently there is no contact

information recorded unless the user included it in the body of their message.

History

#1 - 2010-09-05 23:35 - Eric Davis

- Category set to Email receiving

I think I have created something like this for a client.  They are using LDAP as their user database and we've changed the incoming mail handler to

support creating users on the fly.

#2 - 2010-09-06 10:24 - Max Williams

Thanks Eric.

I had a look at the create_user_from_email method in the MailHandler. Seems like it should be possible to add the on-the-fly creation there as well. If

I get anything working, I'll post some code here.

#3 - 2010-12-01 23:51 - mr. Scylla

Is any work solution for new user creation ?

#4 - 2010-12-02 09:42 - Terence Mill

+1, we really would need this for customers which are not registered on the redmine server, but easily sumbit bug reports. We would ar least need to

have the email saved in a field in the ticket to feedback if the problem was solved. Better would be if the customer gets an user automatically with

default configurable role.

#5 - 2010-12-02 09:55 - mr. Scylla

Terence Mill wrote:

+1, we really would need this for customers.

 I'm not sure, but perhaps this function is efficient if not using LDAP. Try the command:

rake redmine: email: receive_pop3 RAILS_ENV = "production" host = "YourMailHost" port = 110 username = "MailUser" password = "MailPassword"

unknown_user = create no_permission_check = 1

Read this: Redmine receiving emails

#6 - 2010-12-02 11:07 - Terence Mill

Alexey Marochkin wrote:

Terence Mill wrote:

+1, we really would need this for customers.

 I'm not sure, but perhaps this function is efficient if not using LDAP. Try the command:
https://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails


rake redmine: email: receive_pop3 RAILS_ENV = "production" host = "YourMailHost" port = 110 username = "MailUser" password =

"MailPassword" unknown_user = create no_permission_check = 1

Read this: Redmine receiving emails

 Tx. we use ldap, but "unknown" user shall be created as redmine local, to this is quite ok for us. I am sking me how the mandatory user fields useid,

surname and name are filled from just the email adress ? There is no explanation how this works.
